@import url(https://code.ionicframework.com/ionicons/2.0.1/css/ionicons.min.css);

/*body {
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100vh;
    margin: 0;
    flex-direction: column; / .* Cambia la dirección del flex container a columna * ./
}*/

.menub-contayn {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    gap: 20px;
    
}



/*MENU HAMBURGUESA*/
/*.navbary {
    position: absolute;
    top: 0;
    right: 0;
    margin-right: 10px;  Espacio entre el menú hamburguesa y el borde derecho 
}
*/

.icon-contayn {
    text-align: center;
}

.snip1566 {
    position: relative;
    display: inline-block;
    max-width: 100px; /* TAMAÑO del círculo */
    width: 100%; /* Ahora el botón ocupará el 100% del ancho disponible */
    color: #bbb;
    font-size: 16px;
    box-shadow: none !important;
    -webkit-transform: translateZ(0);
    transform: translateZ(0);
    text-align: center;
}

.icon-contayn p {
    margin-top: 1px; /* Espacio entre el círculo y el texto */
}

/* Estilos para los círculos (snip1566) */
.snip1566 img {
    max-width: 100%;
    backface-visibility: hidden;
    vertical-align: top;
    border-radius: 50%;
    padding: 1px;
}

.snip1566 figcaption {
    position: absolute;
    top: 5px;
    bottom: 5px;
    left: 5px;
    right: 5px;
    opacity: 0;
    background-color: rgba(0, 0, 0, 0.9);
    border-radius: 50%;
}

.snip1566 i {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    font-size: 4em;
    z-index: 1;
}

.snip1566 a {
    position: absolute;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    z-index: 1;
}

/*-------------------------BOTONES RESPONSIVOS------------------------------------*/
/* Media queries para hacer los botones responsivos */
@media (max-width: 768px) {
  .menub-contayn {
      flex-direction: column;
      align-items: center;
  }
}
/*-------------------------------FIN BOTONES RESPONSIVOS---------------------------------------------*/



/*ESTILOS HOVER*/




/*.snip1566 {
  position: relative;
  display: inline-block;
  margin: 20px;
  max-width: 190px;
  width: 100%;
  color: #bbb;
  font-size: 16px;
  box-shadow: none !important;
  -webkit-transform: translateZ(0);
  transform: translateZ(0);
}*/

.snip1566 *,
.snip1566:before,
.snip1566:after {
  -webkit-box-sizing: border-box;
  box-sizing: border-box;
  -webkit-transition: all 0.3s linear;
  transition: all 0.3s linear;
}
/*COLOR DEL CONTORNO*/

.snip1566:before,
.snip1566:after {
  -webkit-box-sizing: border-box;
  box-sizing: border-box;
  border-radius: 50%;
  content: '';
  position: absolute;
  top: 0px;
  bottom: 0px;
  left: 0px;
  right: 0px;
  z-index: -1;
  border: 2px solid #f14617ee;
  border-color: transparent #f44712dc;
}

.snip1566 img {
  max-width: 100%;
  backface-visibility: hidden;
  vertical-align: top;
  border-radius: 50%;
  padding: 10px;
}
/*COLOR DEL HOVER*/
.snip1566 figcaption {
  position: absolute;
  top: 5px;
  bottom: 5px;
  left: 5px;
  right: 5px;
  opacity: 0;
  background-color: rgba(241, 74, 8, 0.345);
  border-radius: 50%;
}

.snip1566 i {
  position: absolute;
  top: 50%;
  left: 50%;
  -webkit-transform: translate(-50%, -50%);
  transform: translate(-50%, -50%);
  font-size: 4em;
  z-index: 1;
}

.snip1566 a {
  position: absolute;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  z-index: 1;
}

.snip1566:hover figcaption,
.snip1566.hover figcaption {
  opacity: 1;
  -webkit-transform: translateX(0);
  transform: translateX(0);
}

.snip1566:hover:before,
.snip1566.hover:before,
.snip1566:hover:after,
.snip1566.hover:after {
  border-width: 10px;
}

.snip1566:hover:before,
.snip1566.hover:before {
  -webkit-transform: rotate(45deg);
  transform: rotate(45deg);
}

.snip1566:hover:after,
.snip1566.hover:after {
  -webkit-transform: rotate(-45deg);
  transform: rotate(-45deg);
}

/*CONTENEDOR*/

/* Alinea el div con degradado debajo de los botones */
.orange-gradient {
    background: linear-gradient(to bottom, #ff9900, #ff3300);
    text-align: center;
    padding: 60px;
}

/* Estilos para el contenedor de texto, figura e imagen */
.text-container {
    display: grid;
    grid-template-columns: 1fr auto 1fr; /* Divide el espacio en tres partes iguales */
    align-items: center;
}

.text-container span {
    grid-column: 1; /* Ocupa la primera parte (a la izquierda) */
    color: white;
}

.shape-behind-text {
    grid-column: 2; /* Ocupa la segunda parte (en el centro) */
}

.image-right {
    grid-column: 3; /* Ocupa la tercera parte (a la derecha) */
    max-width: 100px; /* Ajusta el tamaño de la imagen a la derecha según tus necesidades */
}
